{% extends "besoins/base.html" %}
{% load common_utils client_utils %}

{% block title %}Questionnaire - {{ section_verbose }}{% endblock %}

{% block content %}
<h2>
    Analyse des besoins pour {{ client.noms }} {{ client.prenoms }} {% services_as_icons client '' 'p-2' %}
</h2>
<div><b>Thème:</b> {{ view.section.theme }}</div>
{% if view.section.buts %}<div><b>Buts:</b> {{ view.section.buts }}</div>{% endif %}

{% include 'besoins/q-aide.html' %}

<form id="quest_form" method="post" action="." class="position-relative">{% csrf_token %}
    <div id="bouton_aide">
        <button class="btn btn-warning" type="button" data-bs-toggle="offcanvas" data-bs-target="#aidePanel" aria-controls="aidePanel">Afficher l’aide
            </button>
    </div>

    <div class="float-end list-group ms-4 themes_status">
        {% for key, theme in themes_status.items %}
        <div class="list-group-item">
            {% if key != 'fin' %}{{ theme.done|boolean_icon }}{% endif %}
            <a class="theme_link" href="{% url 'besoins:questionnaire' view.kwargs.pk view.kwargs.qpk key %}">{{ theme.label }}</a>
        </div>
        {% endfor %}
    </div>

    {% if view.section_key == 'fin' %}
        <h3>Résumé</h3>
        {% include 'besoins/resume.html' with quest=object print_rems=False %}
    {% endif %}

    {% for champ in view.section.champs %}
    <div class="quest_question mt-3 mb-3 border-top">
        <div class="fs-3">{{ champ.question }}
            {% if champ.aide %}
            <span class="help_icon">
                <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                     title="{{ champ.aide }}">
            </span>
            {% endif %}
        </div>
        <div class="row">
            <div class="col-md-6">{{ form|get_field:champ.field }}</div>
            <div class="col-md-6">
                {% if champ.complement %}<div>{{ champ.complement }}</div>{% endif %}
                {% if champ.field_detail %}
                    {{ form|get_field:champ.field_detail }}
                    {% if champ.field == 'chutes' and form.interet_alarme %}
                    <div id="interet_alarme_div" hidden>{{ form.interet_alarme }} <label for="id_interet_alarme">La personne a donné son accord pour signaler son intérêt à une installation d’alarme</label>
                    </div>{% endif %}
                {% endif %}
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-end pt-2">
                {% if prev_quest %}
                <details open>
                    <summary><i>Réponse quest. précédent</i></summary>
                    <div class="d-inline-block bg-light p-2">
                        {{ prev_quest|get_attribute:champ.field|yesno:"Oui,Non,Pas de réponse" }}
                        {% with prev_quest|get_attribute:champ.field_detail as details %}
                        {% if details %} / <i>{{ details|linebreaksbr }}</i>{% endif %}
                        {% endwith %}
                    </div>
                </details>
                {% endif %}
            </div>
        </div>
    </div>
    {% endfor %}

    <div class="d-flex justify-content-between">
        <div>
        {% if previous.0 %}
            <button type="submit" class="btn btn-primary"  formaction="{{ request.path }}?back=1">&lt; {{ previous.1 }}</button>
        {% endif %}
        </div>
        {% if next.0 %}
            <button type="submit" class="btn btn-primary">&gt; {{ next.1 }}</button>
        {% else %}
            {% if object.termine_le %}
            <div class="alert alert-success">Questionnaire terminé le {{ object.termine_le|date:'d.m.Y' }}.</div>
            {% else %}
            <button type="submit" class="btn btn-primary" formaction="{{ request.path }}?termine=1" {% if not object.quest_ok %} disabled{% endif %}>Marquer l’entretien comme terminé</button>
            {% endif %}
        {% endif %}
    </div>
</form>
{% endblock %}
